import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listPair(query) {
  return request({
    url: '/app/pair/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getPair(pairId) {
  return request({
    url: '/app/pair/' + pairId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addPair(data) {
  return request({
    url: '/app/pair',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updatePair(data) {
  return request({
    url: '/app/pair',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delPair(pairId) {
  return request({
    url: '/app/pair/' + pairId,
    method: 'delete'
  })
}
